import type {INumberValueTagStyle} from "@/interface/app/ITagStyle.ts";

export default class StockSingleTaskExecuteMachineFormatter {

    stockSingleTaskExecuteMachineTagStyle: INumberValueTagStyle[] = [
        {value: 1, label: '堆垛机', type: 'primary'},
        {value: 2, label: '输送线', type: 'info'},
        {value: 3, label: '四项车', type: 'success'},
        {value: 4, label: '货柜', type: 'warning'},
        {value: 5, label: 'RGV', type: 'danger'},
        {value: 6, label: 'AGV', type: 'warning'},
    ];
    stockSingleTaskExecuteMachineFormatter(value: any): INumberValueTagStyle {
        const findResult = this.stockSingleTaskExecuteMachineTagStyle.find(f => f.value == value);
        if (findResult) {
            return findResult;
        }
        return {value: value.toString(), label: '？' + value.toString(), type: 'danger'};
    }
}